Package org.jbpm.bpmn2.xml

## Class EndEventHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.EndEventHandler

- All Implemented Interfaces:
    `org.drools.core.xml.Handler`

      public class EndEventHandler
      extends AbstractNodeHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EndEventHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Node` | `createNode​(Attributes attrs)` |
    `Object` | `end​(String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `Class` | `generateNodeFor()` |
    `void` | `handleErrorNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `void` | `handleEscalationNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `void` | `handleMessageNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `void` | `handleSignalNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `void` | `handleTerminateNode​(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)` |
    `protected void` | `readEndDataInputAssociation​(Node xmlNode, EndNode endNode)` |
    `protected void` | `readFaultDataInputAssociation​(Node xmlNode, FaultNode faultNode)` |
    `void` | `writeNode​(Node node, StringBuilder xmlDump, int metaDataType)` |

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `checkSignalAndConvertToRealSignalNam, containsExtensionElements, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, handleNode, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readIoSpecification, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeJavaAction, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### EndEventHandler

          public EndEventHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode​(Attributes attrs)

      Specified by:
        `createNode` in class `AbstractNodeHandler`

    - #### generateNodeFor

          public Class generateNodeFor()

    - #### end

          public Object end​(String uri,
                            String localName,
                            org.drools.core.xml.ExtensibleXmlParser parser)
                     throws SAXException

      Specified by:
        `end` in interface `org.drools.core.xml.Handler`
      Overrides:
        `end` in class `AbstractNodeHandler`
      Throws:
        `SAXException`

    - #### handleTerminateNode

          public void handleTerminateNode​(Node node,
                                          Element element,
                                          String uri,
                                          String localName,
                                          org.drools.core.xml.ExtensibleXmlParser parser)
                                   throws SAXException

      Throws:
        `SAXException`

    - #### handleSignalNode

          public void handleSignalNode​(Node node,
                                       Element element,
                                       String uri,
                                       String localName,
                                       org.drools.core.xml.ExtensibleXmlParser parser)
                                throws SAXException

      Throws:
        `SAXException`

    - #### handleMessageNode

          public void handleMessageNode​(Node node,
                                        Element element,
                                        String uri,
                                        String localName,
                                        org.drools.core.xml.ExtensibleXmlParser parser)
                                 throws SAXException

      Throws:
        `SAXException`

    - #### readEndDataInputAssociation

          protected void readEndDataInputAssociation​(Node xmlNode,
                                                     EndNode endNode)

    - #### handleErrorNode

          public void handleErrorNode​(Node node,
                                      Element element,
                                      String uri,
                                      String localName,
                                      org.drools.core.xml.ExtensibleXmlParser parser)
                               throws SAXException

      Throws:
        `SAXException`

    - #### handleEscalationNode

          public void handleEscalationNode​(Node node,
                                           Element element,
                                           String uri,
                                           String localName,
                                           org.drools.core.xml.ExtensibleXmlParser parser)
                                    throws SAXException

      Throws:
        `SAXException`

    - #### readFaultDataInputAssociation

          protected void readFaultDataInputAssociation​(Node xmlNode,
                                                       FaultNode faultNode)

    - #### writeNode

          public void writeNode​(Node node,
                                StringBuilder xmlDump,
                                int metaDataType)

      Specified by:
        `writeNode` in class `AbstractNodeHandler`